(function( $ ) {
	'use strict'

	var speechKit = {
		postId: $('#post_ID').val(),
		
		init: function(){
			this.events()
		},
		events: function(){
			var self = this

			self.clickEvents()

			$(document).on('heartbeat-tick', function (event, data, textStatus, jqXHR) {
				if (!data.sk_status) {
					return;
				}
				if ($('#speechkit_status').data('status') != 'Processed' ) {
					self.render(data.sk_status, data.sk_data)
				}
			});

			if ( speechKitData.gutenberg ) {
				const { subscribe } = wp.data;

				const currentPostStatus = wp.data.select('core/editor').getEditedPostAttribute('status');

				if ('publish' !== currentPostStatus) {
					const unssubscribe = subscribe(() => {
						const newPostStatus = wp.data.select('core/editor').getEditedPostAttribute('status');
						if ('publish' === newPostStatus) {

							self.postAction('sk_regenerate').done(function (response) {
								self.render('New')
							});

							unssubscribe();
						}
					});
				}
			}
		},
		clickEvents: function(){
			var self = this
			$('#speechkit .inside').unbind('click')
			$('#speechkit .inside').on('click', '.sk_action_button', function (event) {
				event.preventDefault()
				$(event.target).prop('disabled', true)
				var action = $(event.target).data('action')

				self.postAction(action).done(function (response) {
					$(event.target).removeProp('disabled')

					if (!response.success) {
						self.errorMsg()
					}

					if (action == 'sk_toggle') {
						if (response.success && response.data) {
							$(event.target).html(speechKitData.disabled)
						} else if (response.success && !response.data) {
							$(event.target).html(speechKitData.enabled)
						}
					}

					if (action == 'sk_reload') {
						if ( response.success ) {
							$(event.target).prev().html(speechKitData.reload)
						}
					}

					if(action == 'sk_regenerate'){
						// TODO: temp fix
						location.reload();
					}
				});
			});
		},
		postAction: function (action, data){
			var self = this;

			if (_.isUndefined(self.postId) ) {
				self.postId = $('#post_ID').val()
			}

			return $.post(ajaxurl, { post_id: self.postId, action: action, data: data })
		},
		errorMsg: function(){
			alert(speechKitData.error)
		},
		render: function(tplName,data){
			var html = _.template(speechKitData.tpl[tplName])
			$('#speechkit .inside').html( html(data) )
			this.clickEvents();
		}
	}

	$(document).ready(function(){
		speechKit.init()
	})

})( jQuery )
