<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://speechkit.io
 * @since      1.0.0
 *
 * @package    Speechkit
 * @subpackage Speechkit/admin/partials
 */
?>
<div class="wrap">
<h1><?php _e( 'SpeechKit Settings', 'speechkit' ); ?> <a href="#sk-need-help" style="vertical-align: super;font-size: 0.7em;"><?php _e( 'Need help?', 'speechkit' ); // phpcs:ignore ?></a></h1>
<?php
$options = get_option( 'speechkit_settings' );

if ( isset( $options['speechkit_id'] ) && ! empty( $options['speechkit_id'] ) ) {
	echo '<p><a class="button button-secondary" href="https://app.speechkit.io" target="_blank">' . __( 'SpeechKit Dashboard', 'speechkit' ) . '</a></p>'; // phpcs:ignore
} else {
	echo '<p>' . __( 'Don\'t have an account yet?', 'speechkit' ) . '</p>'; // phpcs:ignore

	echo '<p><a class="button button-secondary" href="https://my.speechkit.io/auth/signup" target="_blank">Sign up here</a></p>'; // phpcs:ignore
}
?>
<form action='options.php' method='post'>
	<?php
	settings_fields( 'speechkit' );
	do_settings_sections( 'speechkit' );
	submit_button();
	?>
</form>
