<?php

/**
 * Provide a admin area support form view for the plugin
 *
 * @link       https://speechkit.io
 * @since      2.5.0
 *
 * @package    Speechkit
 * @subpackage Speechkit/admin/partials
 */

?>

<h2 id="sk-need-help"><?php _e( 'Need Help? Mail us!', 'speechkit' ); // phpcs:ignore ?></h2>
<form action="<?php echo esc_url( admin_url( 'admin-post.php' ) ); ?>" method="post">
	<table class="form-table">
		<tbody>
			<tr>
				<th scope="row"><?php _e( 'Your email', 'speechkit' ); // phpcs:ignore ?></th>
				<td>
					<input name="sk_user_mail" value="" type="email" placeholder="mail@mail.com">
				</td>
			</tr>
		</tbody>
	</table>

	<textarea name="sk_mail_message" id="sk_mail_message" class="wide-fat code" rows="10" cols="50" placeholder="<?php _e( 'Please, describe faced issue here', 'speechkit' ); // phpcs:ignore ?>"></textarea>
	<p><?php _e( 'To help us fix this issue faster, this technical data will be attached to your email', 'speechkit' ); // phpcs:ignore ?></p>
	<textarea disabled="disabled" name="sk_mail_data" id="sk_mail_data" class="wide-fat code" rows="3" cols="50"><?php echo wp_json_encode( Speechkit_Admin::get_environment() ); ?></textarea>

	<p><input name="sk_mail_submit" id="sk_mail_submit" class="button button-primary" value="<?php _e( 'Send email', 'speechkit' ); // phpcs:ignore ?>" type="submit"> &nbsp;<?php _e( 'or write directly to <a href="mailto:support@speechkit.io" target="_blank">support@speechkit.io</a>', 'speechkit' ); // phpcs:ignore ?></p>

	<input type="hidden" name="action" value="sk_form_support">
	<?php wp_nonce_field( 'sk_form_support', 'spk_support_nonce' ); ?>
</form>

</div>
